<!DOCTYPE html>
<!--
#  Copyright 2001-2021 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->
<html><head><title>Open Admin - <#Student Discipline#></title>
<link rel="stylesheet" type="text/css" href="admin.css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li class="active"><a href="discipline.html" class="active"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="timetable.html"><#Timetable#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="ssp.html"><#SSP#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellpadding="4" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" align="top" alt="school logo"></td>
<td><hr><h1 style="margin:0;padding:0;"><#Discipline Management#></h1><hr>
</td></tr></table>


<!--  Outermost Table -->
<table cellpadding="4" cellspacing="0" border="0">
<tr><td valign="top">

<h2><#Discipline#> <#Entry#></h2>
<div class="fmt">
<form action="/cgi-bin/discipline/discAdd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add#> <#Discipline Event#>">
</form>

<form action="/cgi-bin/discipline/discView.pl" method="post" style="display:inline;">
<input type="submit" value="<#View#>"></form>


<form action="/cgi-bin/configure/confedit.pl" method="post"  style="display:inline;">
  <input type="hidden" name="page" value="1">
  <input type="hidden" name="filename" value="admin">
  <input type="hidden" name="sectionname" value="discipline">
  <input type="submit" value="<#Configure#>">
</form>

<br>

<form action="/cgi-bin/discipline/rptDisc1.pl" method="post"
      title="Shows monthly scores for each infraction category"
      style="display:inline;">
  <input type="submit" value="<#Report#> 1"></form>

<form action="/cgi-bin/discipline/rptDisc2.pl" method="post"
      title="Statistical Report by Infraction Category, Grade, or Homeroom"
      style="display:inline;">
  <input type="submit" value="<#Report#> 2"></form>

<form action="/cgi-bin/discipline/rptDisc3.pl" method="post"
      title="Search for student and display infractions"
      style="display:inline;">
  <input type="submit" value="<#Report#> 3"></form>



</div>


<h2><#Home Visit#> <#Tracking#></h2>
<div class="fmt">
<form action="/cgi-bin/homevisit/hvAdd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add#>">
</form>

<form action="/cgi-bin/homevisit/hvView.pl" method="post" style="display:inline;">
<input type="submit" value="<#View#>">
</form>

<form action="/cgi-bin/homevisit/hvEdit.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit#>/<#Delete#>">
</form>


</div>


<!--
<h2><#Reports#></h2>

<div class="fmt">
<form action="/cgi-bin/discipline/disc_rptstud.pl" method="post">
<input type="submit" value="<#Student#> <#Summary Report#>">
</form>

<form action="/cgi-bin/discipline/rptsum.pl" method="post">
<input type="submit" value="<#School#> <#Summary Report#>">
</form>

<form action="/cgi-bin/discipline/rptdiscstat.pl" method="post">
<input type="submit" value="<#Statistical#> <#Report#>">
</form>
</div>
-->

<!-- Right Column Now -->
</td><td valign="top">

<!--    
<h2><#Manage#> <#Discipline#> <#Records#></h2>

<div class="fmt">
<form action="/cgi-bin/discipline/discdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit#>/<#Delete#>"></form>

<form action="/cgi-bin/discipline/discbulkdel0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete#> <#by Student#>"></form>

<form action="/cgi-bin/discipline/discdatedel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete#> <#by Date#>"></form>
</div>


<h2><#Infraction Types#> / <#Categories#></h2>

<div class="fmt">
<form action="/cgi-bin/discipline/infadd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add#>"></form>

<form action="/cgi-bin/discipline/infdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#View#>/<#Delete#>"></form>
</div>
-->


<!-- End of Outermost Table -->
</td></tr></table>

</body></html>
